org.apache.maven.scm.provider.git.gitexe

## Class GitExeScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.git.AbstractGitScmProvider
    - - org.apache.maven.scm.provider.git.gitexe.GitExeScmProvider

All Implemented Interfaces:
  ScmProvider

    public class GitExeScmProvider
    extends AbstractGitScmProvider

Author:
  Emmanuel Venisse

### Field Summary

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`GitExeScmProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected GitCommand` `getAddCommand()`
`protected GitCommand` `getBlameCommand()`
`protected GitCommand` `getBranchCommand()`
`protected GitCommand` `getChangeLogCommand()`
`protected GitCommand` `getCheckInCommand()`
`protected GitCommand` `getCheckOutCommand()`
`protected GitCommand` `getDiffCommand()`
`protected GitCommand` `getExportCommand()`
`GitCommand` `getInfoCommand()`
`protected GitCommand` `getListCommand()`
`protected GitCommand` `getRemoteInfoCommand()`
`protected GitCommand` `getRemoveCommand()`
`protected String` `getRepositoryURL(File path)`
`protected GitCommand` `getStatusCommand()`
`protected GitCommand` `getTagCommand()`
`protected GitCommand` `getUpdateCommand()`

### Methods inherited from class org.apache.maven.scm.provider.git.AbstractGitScmProvider

`add, blame, branch, changelog, checkin, checkout, diff, executeCommand, export, getScmSpecificFilename, getScmType, info, list, makeProviderScmRepository, makeProviderScmRepository, remoteInfo, remove, status, tag, update, validateScmUrl`

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, add, addListener, blame, blame, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, edit, export, export, export, export, export, getLogger, list, list, login, mkdir, mkdir, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GitExeScmProvider

    public GitExeScmProvider()

### Method Detail

#### getAddCommand

    protected GitCommand getAddCommand()

Specified by:
  `getAddCommand` in class `AbstractGitScmProvider`

#### getBranchCommand

    protected GitCommand getBranchCommand()

Specified by:
  `getBranchCommand` in class `AbstractGitScmProvider`

#### getChangeLogCommand

    protected GitCommand getChangeLogCommand()

Specified by:
  `getChangeLogCommand` in class `AbstractGitScmProvider`

#### getCheckInCommand

    protected GitCommand getCheckInCommand()

Specified by:
  `getCheckInCommand` in class `AbstractGitScmProvider`

#### getCheckOutCommand

    protected GitCommand getCheckOutCommand()

Specified by:
  `getCheckOutCommand` in class `AbstractGitScmProvider`

#### getDiffCommand

    protected GitCommand getDiffCommand()

Specified by:
  `getDiffCommand` in class `AbstractGitScmProvider`

#### getExportCommand

    protected GitCommand getExportCommand()

Specified by:
  `getExportCommand` in class `AbstractGitScmProvider`

#### getRemoveCommand

    protected GitCommand getRemoveCommand()

Specified by:
  `getRemoveCommand` in class `AbstractGitScmProvider`

#### getStatusCommand

    protected GitCommand getStatusCommand()

Specified by:
  `getStatusCommand` in class `AbstractGitScmProvider`

#### getTagCommand

    protected GitCommand getTagCommand()

Specified by:
  `getTagCommand` in class `AbstractGitScmProvider`

#### getUpdateCommand

    protected GitCommand getUpdateCommand()

Specified by:
  `getUpdateCommand` in class `AbstractGitScmProvider`

#### getListCommand

    protected GitCommand getListCommand()

Specified by:
  `getListCommand` in class `AbstractGitScmProvider`

#### getInfoCommand

    public GitCommand getInfoCommand()

Specified by:
  `getInfoCommand` in class `AbstractGitScmProvider`

#### getBlameCommand

    protected GitCommand getBlameCommand()

Specified by:
  `getBlameCommand` in class `AbstractGitScmProvider`

#### getRemoteInfoCommand

    protected GitCommand getRemoteInfoCommand()

Specified by:
  `getRemoteInfoCommand` in class `AbstractGitScmProvider`

#### getRepositoryURL

    protected String getRepositoryURL(File path)
                               throws ScmException

Specified by:
  `getRepositoryURL` in class `AbstractGitScmProvider`
Throws:
  `ScmException`